> For the complete documentation index, see [llms.txt](https://docs.coherent.global/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherent.global/spark-apis/service-apis/delete-service-version.md).

# Delete service version

Delete an intermediate service version.

{% hint style="warning" %}
The first and latest versions of a service cannot be deleted. Deleting a version also makes data associated with that version unavailable, including its Excel file, API Call History entries, and testbed results.
{% endhint %}

{% code overflow="wrap" %}

```shellscript
DELETE /{tenant}/api/v3/folders/{folder}/services/{service}/version/{versionId}
```

{% endcode %}

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.

### Path parameters

| Key            | Value                                                                                                                                                                                 |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `tenant` \*    | Tenant is part of your [Login and logout](/navigation/login-and-logout.md#log-in-to-spark) URL and also available in the [Navigation menu](/navigation/navigation-menu.md#user-menu). |
| `folder` \*    | Folder associated with the request.                                                                                                                                                   |
| `service` \*   | Service associated with the request.                                                                                                                                                  |
| `versionId` \* | `version_id` of the Spark service version.                                                                                                                                            |

### Response

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "message":null,
    "data":null,
    "errorCode":null,
    "status":"Success"
}
```
